<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="A landing page games" />
    <link rel="apple-touch-icon" sizes="180x180" href="dashboard/assets/icon/apple-touch-icon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="dashboard/assets/icon/favicon-32x32.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="dashboard/assets/icon/favicon-16x16.png" />
    <link rel="manifest" href="dashboard/assets/icon/site.webmanifest" />
    <link rel="mask-icon" href="dashboard/assets/icon/safari-pinned-tab.svg" color="#5bbad5" />
    <meta name="apple-mobile-web-app-title" content="Simple Javascript Games" />
    <meta name="application-name" content="Simple Javascript Games" />
    <meta name="msapplication-TileColor" content="#da532c" />
    <meta name="theme-color" content="#ffffff" />
    <link href="dashboard/assets/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link href="dashboard/styles/style.css" rel="stylesheet" />
  </head>
  <body id="login-form" class="d-flex">
    <div class="container bg-dark m-auto px-5 py-5 rounded-3">
      <h1 class="text-white">USER LIST AND REGISTRATION</h1>
      <div class="container">
        <div class="row">
            <div class="col-5">
              <h3>REGISTER USER BARU</h3>
              <form method="POST" action="/dashboard">
                <div class="container">
                  <div class="column">
                    <div class="col-1">
                      <label for="username">Username</label>
                      <input class="inputBaru" placeholder="username" name="username" type="text" required />
                    </div>
                    <div class="col-1">
                      <label for="password">Password</label>
                      <input class="inputBaru" placeholder="password" name="password" type="password" required />
                    </div>
                    <div class="col-1">
                      <label for="fullname">Fullname</label>
                      <input class="inputBaru" placeholder="fullname" name="fullname" type="text" />
                    </div>
                    <div class="col-1">
                      <label for="phone">Phone</label>
                      <input class="inputBaru" placeholder="62543123" name="phone" type="text" />
                    </div>
                    <div class="col-1">
                      <label for="email">Email</label>
                      <input class="inputBaru" placeholder="anu@anu.com" name="email" type="text" />
                    </div>
                  </div>
                  <button type="submit">REGISTER</button>
                  <br>
                </div>
              </form>
            </div>
          </div>
        <div class="row">
          <div class="col-5">
            <h3>LIST USER</h3>
            <table>
              <tr>
                <th>Username</th>
                <th>Fullname</th>
                <th>Phone</th>
                <th>Email</th>
                <th>Win</th>
                <th>Lose</th>
              </tr>
              <% users.forEach(user => { %>
              <tr>
                <td><%= user.username %></td>
                <td><%= user.user_game_biodatum.fullname %></td>
                <td><%= user.user_game_biodatum.phone %></td>
                <td><%= user.user_game_biodatum.email %></td>
                <td><button type="submit" onclick="hapus('<%= user.username %>')">DELETE</button></td>
                <td><button type="submit"><a href="/dashboard/update/biodata/<%= user.username %>" class="href">EDIT BIODATA</a></button></td>
                <td><button type="submit"><a href="/dashboard/update/password/<%= user.username %>" class="href">UBAH PASSWORD</a></button></td>
              </tr>
              <% }) %>
          </div>
        </div>
      </div>
    </div>
    <script>
        function hapus(username) {
            console.log(username)
            fetch('/dashboard', {
                method: 'DELETE',
                body: JSON.stringify({"username": username}), // string or object
                headers: {
                'Content-Type': 'application/json'
                }
            });
            document.location.reload(true)
        }
        
    </script>
  </body>
</html>
